export declare type MediaStreamWithMixiSizingInfo = MediaStream & {
    fullcanvas?: boolean;
    width?: number;
    height?: number;
    left?: number;
    top?: number;
};
export declare class MultiStreamsMixer {
    private inputMediaStreams;
    private outputMediaStream;
    private videos;
    private canvas;
    private context;
    frameInterval: number;
    private isStopDrawingFrames;
    useGainNode: boolean;
    private audioContext;
    private audioDestination;
    constructor(inputMediaStreams: MediaStreamWithMixiSizingInfo[]);
    private static setSrcObject;
    private drawVideosToCanvas;
    private drawImage;
    getMixedStream(): MediaStream;
    getInputMediaStreams(): MediaStreamWithMixiSizingInfo[];
    private getMixedVideoStream;
    private getMixedAudioStream;
    private createVideo;
    close(): void;
    resetVideoStreams(streams?: MediaStream[]): void;
}
